# Enum Class Feature.Type

java.lang.Object
java.lang.Enum<Feature.Type>
org.snpeff.genBank.Feature.Type

All Implemented Interfaces:
  `Serializable, Comparable<Feature.Type>, Constable`

Enclosing class:
  `Feature`

public static enum Feature.Type extends Enum<Feature.Type>

Author:
  pablocingolani

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CDS`
`GENE`
`ID`
`MAT_PEPTIDE`
`MISC_FEATURE`
`MISC_RNA`
`MRNA`
`REPEAT_REGION`
`REPEAT_UNIT`
`RRNA`
`SOURCE`
`TRNA`
`UTR_3`
`UTR_5`

## Method Summary

Modifier and Type
Method
Description
`static Feature.Type`
`parse(String typeStr)`
Parse a string into a Feature.Type
`static Feature.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Feature.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOURCE

public static final Feature.Type SOURCE

### ID

public static final Feature.Type ID

### CDS

public static final Feature.Type CDS

### GENE

public static final Feature.Type GENE

### MRNA

public static final Feature.Type MRNA

### TRNA

public static final Feature.Type TRNA

### RRNA

public static final Feature.Type RRNA

### MISC_RNA

public static final Feature.Type MISC_RNA

### REPEAT_UNIT

public static final Feature.Type REPEAT_UNIT

### REPEAT_REGION

public static final Feature.Type REPEAT_REGION

### MISC_FEATURE

public static final Feature.Type MISC_FEATURE

### UTR_3

public static final Feature.Type UTR_3

### UTR_5

public static final Feature.Type UTR_5

### MAT_PEPTIDE

public static final Feature.Type MAT_PEPTIDE

## Method Details

### values

public static Feature.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Feature.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static Feature.Type parse(String typeStr)
Parse a string into a Feature.Type